Skip to main content
GET
/
api
/
app-api
/
sip
/
platform
/
v2
/
category
/
tables
/
list
Get File Category Tables List
curl --request GET \
  --url https://docflow.textin.com/api/app-api/sip/platform/v2/category/tables/list \
  --header 'x-ti-app-id: <api-key>' \
  --header 'x-ti-secret-code: <api-key>'
{
  "code": 200,
  "msg": "<string>",
  "result": {
    "tables": [
      {
        "id": "1234567890",
        "name": "Table 1",
        "prompt": "Extract name, quantity and amount for each row",
        "collect_from_multi_table": true,
        "extract_model": "Model 1"
      }
    ]
  }
}

Authorizations

x-ti-app-id
string
header
required
x-ti-secret-code
string
header
required

Query Parameters

workspace_id
string
required

Workspace ID

Example:

"1234567890"

category_id
string
required

File category ID

Example:

"1234567890"

Response

200 - application/json

Successfully retrieved file category tables list

code
integer
required

Status code

Example:

200

msg
string
required

Status description

result
object